%define version 0.6.2
%define release 1mdk

%define major 0
%define libname %mklibname assuan %{major}

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		%{name}-shared.patch.bz2
# (Abel) autoconf 2.58 or 2.59 introduced some code which generates
# b0rked configure script for some software. Hacked configure to
# use some unchanged code from 2.57. This patch ought to be removed
# when autoconf is fixed.
Patch1:		%{name}-0.6.1-autoconf.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7 >= 1.7.6

%description 
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}
Summary:	Assuan - an IPC library for non-persistent servers
Group:		System/Libraries

%description -n %{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}-devel
Summary:	Header files for assuan library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Prereq:		/sbin/install-info

%description -n %{libname}-devel
Header files for assuan library.

%package -n %{libname}-static-devel
Summary:	Static assuan library
Group:		Development/C
Requires:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Static assuan library.

%prep
%setup -q
%patch0 -p1 -b .shared

%__libtoolize -c -f
aclocal-1.7
automake-1.7
WANT_AUTOCONF_2_5=1 autoconf

%patch1 -p1 -b .b0rk

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%postun -p /sbin/ldconfig -n %{libname}

%post -p /sbin/ldconfig -n %{libname}

%post -n %{libname}-devel
%_install_info assuan.info

%preun -n %{libname}-devel
%_remove_install_info assuan.info

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/libassuan-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_infodir}/*.info*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- New version

* Fri Jan 23 2004 Abel Cheung <deaddog@deaddog.org> 0.6.1-2mdk
- Revert many stuff back
- Remove patch1 (info)
- New Patch1: fix configure script generated by autoconf > 2.57
- Add back info files
- Include file signature

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 0.6.1-1mdk
- 0.6.1
- (mistakenly overwritten Florin's package)

* Thu Nov 13 2003 Florin <florin@mandrakesoft.com> 0.6.0-1mdk
- first mdk release

